#pragma once
#include "afxwin.h"
#include "resource.h"
#include "apl_gui.h"


// CGetPasswordDialog dialog

class CGetPasswordDialog : public CaplTranslateDialog
{
	DECLARE_DYNAMIC(CGetPasswordDialog)

public:
	CGetPasswordDialog(CWnd* pParent = NULL);   // standard constructor
	virtual ~CGetPasswordDialog();

// Dialog Data
	enum { IDD = IDD_GET_PASSWORD };

	CString m_sPassword;
	CString m_sHeader;

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CEdit m_psw_ctrl;
	CEdit m_psw2_ctrl;
	CaplButton m_ok_btn;
	CaplButton m_cancel_btn;
	CEdit m_header_ctrl;
	CStatic m_st_chek;
	CStatic m_st_chek2;
protected:
	virtual void OnOK();
public:
	void SetCorrectIcons();
	virtual BOOL OnInitDialog();
	afx_msg void OnEnChangeNewPass();
	afx_msg void OnEnChangeNewPass2();
};
